<?xml version="1.0" encoding="UTF-8"?>

<!-- FAX.xsl verison 1.0.0.1 -->

<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" exclude-result-prefixes="fo">
  <xsl:output method="xml" version="1.0" omit-xml-declaration="no" indent="yes"/>
  
  <!-- ========================= -->
  <!-- root element: xmlroottag      -->
  <!-- ========================= -->
  <xsl:template match="xmlroottag">

    <xsl:variable name="headerlen" select="floor(string-length(/faxpayment/headerfooterinfo/IMAGE_HEAD/text()) div 48) + 0.7" />

    <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
      <fo:layout-master-set>
        <fo:simple-page-master 
            master-name="simpleA4" 
            page-height="29.7cm" 
            page-width="21cm" 
            margin-top="0.5cm" 
            margin-bottom=".5cm" 
            margin-left="1.5cm" 
            margin-right="1.5cm">

          <fo:region-body margin-top="1cm" margin-bottom="1cm"/>

          <fo:region-before region-name="myHeader" extent="2.0cm"/>
          <fo:region-after region-name="myFooter" extent="1.5cm"/>
        </fo:simple-page-master>
  
      </fo:layout-master-set>

      <fo:page-sequence 
          master-reference="simpleA4"
          initial-page-number="1">


        <fo:static-content flow-name="myFooter">
          <fo:block font-family="Helvetica"  text-align="left" font-size="7pt" color="black">
          __________________________________________________________________________________________________________________________________
          </fo:block>
          <fo:block font-family="Helvetica"  text-align="left" font-size="7pt" color="gray">
		We deliver the most interesting data which can be considered almost factual.
          </fo:block>
        </fo:static-content>

        <fo:static-content flow-name="myHeader">
          <fo:block font-family="Helvetica" font-size="20pt" color="blue" text-align="center" >
		Acme Data Delivery Services Inc.
          <fo:block font-family="Helvetica"  text-align="left" font-size="7pt" color="black" >
          __________________________________________________________________________________________________________________________________
          </fo:block>
          </fo:block>
        </fo:static-content>


        <fo:flow flow-name="xsl-region-body">

          <fo:block font-family="Courier" font-size="10pt">
            <xsl:apply-templates/>
          </fo:block>

          <fo:block font-family="Courier" id="LastPage"/>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>

  <xsl:template match="listtype">

    <fo:block font-size="16pt" font-weight="bold" space-before="5mm" space-after="2mm">
        List of <xsl:value-of select="."/> 
    </fo:block>

  </xsl:template>

  <xsl:template match="person">
    <fo:block>
     <xsl:value-of select="first"/>
     <xsl:value-of select="last"/>
     <xsl:value-of select="party"/>
    </fo:block>

  </xsl:template>

</xsl:stylesheet>


